import request from '@/utils/request'

// 查询资料列表
export function listProfile(query) {
  return request({
    url: '/school-paper/profile/list',
    method: 'get',
    params: query
  })
}

// 查询资料详细
export function getProfile(id) {
  return request({
    url: '/school-paper/profile/' + id,
    method: 'get'
  })
}

// 新增资料
export function addProfile(data) {
  return request({
    url: '/school-paper/profile',
    method: 'post',
    data: data
  })
}

// 修改资料
export function updateProfile(data) {
  return request({
    url: '/school-paper/profile',
    method: 'put',
    data: data
  })
}

// 删除资料
export function delProfile(id) {
  return request({
    url: '/school-paper/profile/' + id,
    method: 'delete'
  })
}
